r7627 - in trunk/BOOK: . general/graphlib introduction/welcome

ken at linuxfromscratch.org ken at linuxfromscratch.org
Thu Nov 27 11:34:15 PST 2008


Author: ken
Date: 2008-11-27 12:34:15 -0700 (Thu, 27 Nov 2008)
New Revision: 7627

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/general/graphlib/poppler.xml
   trunk/BOOK/introduction/welcome/changelog.xml
Log:
Update poppler.

Modified: trunk/BOOK/general/graphlib/poppler.xml
===================================================================
--- trunk/BOOK/general/graphlib/poppler.xml	2008-11-27 18:51:31 UTC (rev 7626)
+++ trunk/BOOK/general/graphlib/poppler.xml	2008-11-27 19:34:15 UTC (rev 7627)
@@ -6,12 +6,12 @@
 
   <!ENTITY poppler-download-http "http://poppler.freedesktop.org/poppler-&poppler-version;.tar.gz">
   <!ENTITY poppler-download-ftp  " ">
-  <!ENTITY poppler-md5sum        "053fdfd70533ecce1a06353fa945f061">
-  <!ENTITY poppler-size          "1.0 MB">
-  <!ENTITY poppler-buildsize     "49 MB (additional 15 MB to install the encoding data package)">
-  <!ENTITY poppler-time          "1.0 SBU (includes building with all dependencies)">
+  <!ENTITY poppler-md5sum        "f30dd49c74ee304c17ef6ef10a1d1a7c">
+  <!ENTITY poppler-size          "1.5 MB">
+  <!ENTITY poppler-buildsize     "25 MB (without static libraries or Qt3, additional 12 MB to install the encoding data package)">
+  <!ENTITY poppler-time          "1.3 SBU (includes building with all dependencies except Qt3)">
 
-  <!ENTITY poppler-data-version  "0.1">
+  <!ENTITY poppler-data-version  "0.2.1">
 ]>
 
 <sect1 id="poppler" xreflabel="Poppler-&poppler-version;">
@@ -61,10 +61,6 @@
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/poppler-&poppler-version;-security_fixes-2.patch"/></para>
-      </listitem>
-      <listitem>
         <para>Poppler Encoding Data: <ulink
         url="http://poppler.freedesktop.org/poppler-data-&poppler-data-version;.tar.gz"/></para>
       </listitem>
@@ -116,8 +112,7 @@
     installed. Install <application>Poppler</application> by running the
     following commands:</para>
 
-<screen><userinput>patch -Np1 -i ../poppler-&poppler-version;-security_fixes-1.patch &&
-./configure --prefix=/usr \
+<screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
             --enable-zlib \
             --disable-cairo-output \
@@ -163,6 +158,9 @@
     plan on building <xref linkend="evince"/>, you must build the
     <application>GLib</application> wrapper.</para>
 
+    <para><parameter>--disable-static</parameter>: Prevent static libraries
+    being built and installed.</para>
+
   </sect2>
 
   <sect2 role="configuration">

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2008-11-27 18:51:31 UTC (rev 7626)
+++ trunk/BOOK/general.ent	2008-11-27 19:34:15 UTC (rev 7627)
@@ -157,7 +157,7 @@
 <!ENTITY imlib2-version               "1.4.0">
 <!ENTITY libexif-version              "0.6.16">
 <!ENTITY fribidi-version              "0.10.8">
-<!ENTITY poppler-version              "0.5.4">
+<!ENTITY poppler-version              "0.10.1">
 
 <!-- Obsolete
 <!ENTITY libungif-version             "4.1.3">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2008-11-27 18:51:31 UTC (rev 7626)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2008-11-27 19:34:15 UTC (rev 7627)
@@ -55,6 +55,9 @@
         <listitem>
           <para>[ken] - Updated to pcre-7.8.</para>
         </listitem>
+        <listitem>
+          <para>[ken] - Updated to poppler-0.10.1 and poppler-data-0.2.1.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 




More information about the blfs-book mailing list